package router

import (
	"git.cestong.com.cn/cecf/hx-mobile-server-api/cmd/server/controller/admin"
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"github.com/go-playground/validator/v10"
	"gorm.io/gorm"
)

// 为了兼容原有KooGua接口

func BuildV0RouterMountFunc(db *gorm.DB, val *validator.Validate) func(*gin.RouterGroup, *jwt.GinJWTMiddleware) {
	return func(r *gin.RouterGroup, authMid *jwt.GinJWTMiddleware) {
		adminUserGroup := r.Group("/user")
		adminUserCtl := admin.NewUserController(db, val)
		{
			adminUserGroup.POST("/create", adminUserCtl.Create)
		}
	}
}
