package model

import "gorm.io/gorm"

type AppModel struct {
	gorm.Model
	Name        string `gorm:"type:varchar(64);unique"`
	Desc        string `gorm:"type:varchar(256)"`
	ImgURL      string `gorm:"type:varchar(512)"`
	ApolloAppID string `gorm:"not null;unique"`
}

func (a AppModel) TableName() string {
	return "cc_app"
}
