package model

import "gorm.io/gorm"

type UserConfigModel struct {
	gorm.Model
	AdminID uint   `gorm:"uniqueIndex:idx_adminID_Key"` // 引用sys_user.ID
	Key     string `gorm:"uniqueIndex:idx_adminID_Key;type:varchar(64)"`
	Value   string
}

func (u UserConfigModel) TableName() string {
	return "cc_userconfig"
}
