package model

import "gorm.io/gorm"

type ConfigFileModel struct {
	gorm.Model
	Name        string `gorm:"type:varchar(64)"`
	Format      string `gorm:"type:varchar(32)"`
	DefaultPath string `gorm:"type:varchar(256)"`
	Desc        string `gorm:"type:varchar(256)"`

	// belong to app: 一定属于一个App
	AppModelID uint
	AppModel   AppModel

	ApolloAppID     string `gorm:"apollo_app_id"`
	ApolloNamespace string `gorm:"type:varchar(64)"`
}

func (c *ConfigFileModel) TableName() string {
	return "cc_configfile"
}
