package model

import "gorm.io/gorm"

const (
	ExecuteEnginPython  = "python"
	ExecuteEngineRegexp = "regexp"
)

type ValueConstraintModel struct {
	gorm.Model
	Name          string
	Desc          string
	Script        string `gorm:"type:text"`
	ExecuteEngine string `gorm:"type:varchar(16)"`
}

func (v ValueConstraintModel) TableName() string {
	return "cc_value_constraint"
}
